var viewportwidth,
	viewportheight;
function resize() {
	viewportheight=$(window).height();
	viewportwidth=$(window).width();
	if(window.navigator.userAgent.indexOf("MSIE")>0){
		windH=document.clientHeight;
		windW=document.clientWidht;
	}
}
$(document).ready(function(){
	
	$('.tip').tooltip({
		placement: "left"
	});
	
	
	$(document).on('click', '.privacy', function() {

		switch ($(this).val()) {
			case 'true':
			$(this).parents('.controls').children('.select-role').slideUp(300);
			break;
			case 'false':
			$(this).parents('.controls').children('.select-role').slideDown(300);
			break;
		}
	});
	
	var $role = $('.select-role');
	var method =$('.privacy:eq(1)').attr('checked');
	if(method == 'checked'){
		$role.slideDown(0);
	}
	$('.privacy').each(function($i) {
		$(this).click(function() {
			switch ($i) {
				case 0:
				$role.slideUp(300);
				break;
				case 1:
				$role.slideDown(300);
				break;
			}
		});
	});

	/*tinyscrollbar&windows-Size*/
	resize();
	var $mainWrapMarginLeft = parseInt($('#main-wrap').css("margin-left"))-2,
		$subWiget = $('#sub-wiget').width()+18;
		$orbitBar = $('#orbit-bar').height(),
		$mainSidebar = $('#main-sidebar').width()+5,
		$formActionPadding = parseInt($('.form-fixed').css("padding-left"))+parseInt($('.form-fixed').css("padding-right"));
	$('#main-sidebar').css("height", viewportheight-$orbitBar);
	$('#main-sidebar .viewport').css("height", viewportheight-$orbitBar);
	$('#post-body').css("width", viewportwidth-$mainWrapMarginLeft-$subWiget);
	$('.post-title').css("width", viewportwidth-$mainWrapMarginLeft-$subWiget-16);
	$('#main-wrap .subnav').css("width", viewportwidth-$mainWrapMarginLeft);
	$('.form-fixed').css("width", viewportwidth-$mainWrapMarginLeft-$formActionPadding);
	$('#main-sidebar').tinyscrollbar({size:(viewportheight-$orbitBar-4)});
	$('.detal-list').tinyscrollbar();
	mainTablePosition();

	/*isotope*/
  var $container = $('#isotope');
  $container.isotope({
      itemSelector : '.item',
      layoutMode : 'masonry',
  });
	
	
});
$(window).resize(function(){
	resize();
	var $mainWrapMarginLeft = parseInt($('#main-wrap').css("margin-left"))-2,
		$subWiget = $('#sub-wiget').width()+18;
		$orbitBar = $('#orbit-bar').height(),
		$mainSidebar = $('#main-sidebar').width()+5,
		$formActionPadding = parseInt($('.form-fixed').css("padding-left"))+parseInt($('.form-fixed').css("padding-right"));
	$('#main-sidebar').css("height", viewportheight-$orbitBar);
	$('#main-sidebar .viewport').css("height", viewportheight-$orbitBar);
	$('#post-body').css("width", viewportwidth-$mainWrapMarginLeft-$subWiget);
	$('.post-title').css("width", viewportwidth-$mainWrapMarginLeft-$subWiget-16);
	$('#main-wrap .subnav').css("width", viewportwidth-$mainWrapMarginLeft);
	$('.form-fixed').css("width", viewportwidth-$mainWrapMarginLeft-$formActionPadding);
	$('#main-sidebar').tinyscrollbar({size:(viewportheight-$orbitBar-4)});
	mainTablePosition();
});
/*main-table position*/
function mainTablePosition() {
	var $height = $('#main-wrap .subnav').length && $('#main-wrap .subnav').height();
	var $table = $('.main-list').length && $('.main-list:last');
	if($table && $table==0){
		$table.css({marginTop:$height});
	}
	else if($table){
		if($height>0){
			$height = $height-17;
		}
		$table.stop().animate({marginTop:$height},500);
	}
	else if($('#main-wrap .subnav')){
		var $object = $('#main-wrap .subnav').next();
		$object.css({marginTop:$height});
	};
};
$(window).scroll(function () {
	//var $mainWrapMarginLeft = parseInt($('#main-wrap').css("margin-left"))-1;
	//var $subnavWidth = parseInt($('#main-wrap > .subnav').css("width"));
	var $winLeft = $(window).scrollLeft()
	$(".table-label").css({left:$winLeft*-1} );
	//$(".table-label").css({left:$mainWrapMarginLeft+($winLeft*-1)} );
	//$("#main-wrap > .subnav").css({width:$subnavWidth+($winLeft)} );
});
